org.apache.datasketches.thetacommon

## Enum SetOperationCornerCases.AnotbAction

- java.lang.Object
- - java.lang.Enum<SetOperationCornerCases.AnotbAction>
  - - org.apache.datasketches.thetacommon.SetOperationCornerCases.AnotbAction

All Implemented Interfaces:
  Serializable, Comparable<SetOperationCornerCases.AnotbAction>

Enclosing class:
  SetOperationCornerCases

    public static enum SetOperationCornerCases.AnotbAction
    extends Enum<SetOperationCornerCases.AnotbAction>

A not B actions

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`DEGEN_MIN_0_F`
`DEGEN_THA_0_F`
`EMPTY_1_0_T`
`FULL_ANOTB`
`SKETCH_A`
`TRIM_A`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getActionDescription()`
`String` `getActionId()`
`static SetOperationCornerCases.AnotbAction` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SetOperationCornerCases.AnotbAction[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SKETCH_A

    public static final SetOperationCornerCases.AnotbAction SKETCH_A

#### TRIM_A

    public static final SetOperationCornerCases.AnotbAction TRIM_A

#### DEGEN_MIN_0_F

    public static final SetOperationCornerCases.AnotbAction DEGEN_MIN_0_F

#### DEGEN_THA_0_F

    public static final SetOperationCornerCases.AnotbAction DEGEN_THA_0_F

#### EMPTY_1_0_T

    public static final SetOperationCornerCases.AnotbAction EMPTY_1_0_T

#### FULL_ANOTB

    public static final SetOperationCornerCases.AnotbAction FULL_ANOTB

### Method Detail

#### values

    public static SetOperationCornerCases.AnotbAction[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SetOperationCornerCases.AnotbAction c : SetOperationCornerCases.AnotbAction.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SetOperationCornerCases.AnotbAction valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getActionId

    public String getActionId()

#### getActionDescription

    public String getActionDescription()